Registered options
List options
List arms.
GET
/
v1
/
arms
List options
curl --request GET \
--url https://api.getmillwork.dev/v1/arms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/arms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"arms": [
{
"arm_id": "<string>",
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"created_at": "2023-11-07T05:31:56Z",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"status": "ready",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"artifact": {
"editable_regions": [
"<string>"
],
"version": "<string>"
},
"artifact_hash": "<string>",
"credential_ref": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"lifecycle": {
"cancellable": true,
"long_running": true,
"max_runtime_s": 123
},
"model_deployment_id": "<string>",
"model_id": "<string>",
"provider": "<string>"
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Available options:
model, agent, skill Available options:
ready, degraded, disabled Required range:
1 <= x <= 200⌘I
List options
curl --request GET \
--url https://api.getmillwork.dev/v1/arms \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/arms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"arms": [
{
"arm_id": "<string>",
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"created_at": "2023-11-07T05:31:56Z",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"status": "ready",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"artifact": {
"editable_regions": [
"<string>"
],
"version": "<string>"
},
"artifact_hash": "<string>",
"credential_ref": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"lifecycle": {
"cancellable": true,
"long_running": true,
"max_runtime_s": 123
},
"model_deployment_id": "<string>",
"model_id": "<string>",
"provider": "<string>"
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}